disp( 'test004: check default values from parameter structure' );

list_of_models = {'../../../models/2D/endosome.mat'};
param.debug = true;

answer = slml2img( list_of_models, param );
assert( answer )

load( [ pwd filesep 'temp' filesep 'param.mat' ] );
assert( param.debug == true )
assert( param.display == false )

clear param
rmdir( [ pwd filesep 'temp' ], 's' )